Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055675
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo Localizations] Localization Francemajoralways2024-06-04 15:442024-06-13 06:28
Reporterkousalya_rView Statuspublic 
Assigned To 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0055675: The user input information included in a sale is not included in the return of that sale, therefore it is not included in the SA

DescriptionThe Export SAFT PT process fails when return from customer does not have line approval history
Steps To ReproduceCreate a user action input Tax Check, and some values.

Create a sale in the POS, and for the exempted tax rate introduce a tax exemption reason (user input)

Launch the e-factura file and verify it is there. Such information is also in the c_order

Return that sale, complete an refund the customer.

Verify that the user input information is not included in the Return From Customer order, and therefore it is not included in the SAFT field.

This is not correct.

Returns must ba 100% copy of the original transaction with all its attributes.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0165582)
hgbot (developer)
2024-06-05 09:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2699 [^]
(0165880)
hgbot (developer)
2024-06-13 06:28

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2699 [^]
(0165881)
hgbot (developer)
2024-06-13 06:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: ba55f99ac97c7bc2e730606c6e0063ab0d52138c
Author: Kousalya Ramasamy <kousalya.ramasamy@openbravo.com>
Date: 13-06-2024 04:28:10
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/ba55f99ac97c7bc2e730606c6e0063ab0d52138c [^]

Fixes ISSUE-55675: fix to include inputs and approvals in return order

---
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/__test__/updateInputsAndApprovalsWithNewLine.test.js
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/updateInputsAndApprovalsWithNewLine.js
---

- Issue History
Date Modified Username Field Change
2024-06-04 15:44 kousalya_r New Issue
2024-06-05 09:08 hgbot Note Added: 0165582
2024-06-13 06:28 hgbot Resolution open => fixed
2024-06-13 06:28 hgbot Status new => closed
2024-06-13 06:28 hgbot Note Added: 0165880
2024-06-13 06:28 hgbot Fixed in Version => 24Q3
2024-06-13 06:28 hgbot Note Added: 0165881


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker